
package jp.riken.brain.ni.samuraigraph.base;

import java.awt.Color;

/**
 * A graph object for the scalar type XY data.
 */
public interface SGIFigureElementGraphSXY extends SGIFigureElementGraph
{

	public boolean setLineVisibleDirectly( final int id, final boolean value );
	public boolean setLineWidthDirectly( final int id, final float value, final String unit );
	public boolean setLineTypeDirectly( final int id, final int value );
	public boolean setLineColorDirectly( final int id, final Color value );
	public boolean setSymbolVisibleDirectly( final int id, final boolean value );
	public boolean setSymbolTypeDirectly( final int id, final int value );
	public boolean setSymbolSizeDirectly( final int id, final float value, final String unit );
	public boolean setSymbolLineWidthDirectly( final int id, final float value, final String unit );
	public boolean setSymbolInnerColorDirectly( final int id, final Color value );
	public boolean setSymbolLineColorDirectly( final int id, final Color value );
	public boolean setBarVisibleDirectly( final int id, final boolean value );
	public boolean setBarBaselineDirectly( final int id, final double value );
	public boolean setBarWidthDirectly( final int id, final double value );
	public boolean setBarEdgeLineWidthDirectly( final int id, final float value, final String unit );
	public boolean setBarInnerColorDirectly( final int id, final Color value );
	public boolean setBarLineColorDirectly( final int id, final Color value );
	public boolean setErrorBarVisibleDirectly( final int id, final boolean value );
	public boolean setErrorBarSymbolTypeDirectly( final int id, final int value );
	public boolean setErrorBarSymbolSizeDirectly( final int id, final float value, final String unit );
	public boolean setErrorBarStyleDirectly( final int id, final int value );
	public boolean setErrorBarLineWidthDirectly( final int id, final float value, final String unit );
	public boolean setErrorBarColorDirectly( final int id, final Color value );
	public boolean setTickLabelVisibleDirectly( final int id, final boolean value );
	public boolean setTickLabelFontNameDirectly( final int id, final String value );
	public boolean setTickLabelFontStyleDirectly( final int id, final int value );
	public boolean setTickLabelFontSizeDirectly( final int id, final float value, final String unit );
	public boolean setTickLabelFontColorDirectly( final int id, final Color value );
	public boolean setTickLabelAngleDirectly( final int id, final boolean value );

}

